<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="stylesheet" type="text/css"
          th:href="@{/webjars/bootstrap/3.3.7/css/bootstrap.min.css}"/>

    <title>Logged in</title>
</head>
<body>
<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed"
                    data-toggle="collapse" data-target="#navbar" aria-expanded="false"
                    aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span> <span
                    class="icon-bar"></span> <span class="icon-bar"></span> <span
                    class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" th:href="@{/}">Login Module</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li sec:authorize="isAuthenticated()"><a th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
    </div>
</nav>

<br>
<br>
<div class="container">
    <h2>Logged in successfully!!!</h2>

    <p>
        Welcome <span sec:authentication="principal.username" th:text="${name}"></span>
    </p>

    <div><a th:href="@{/users/{id}/blogs(id=${userid})}">My posts</a></div>
    <div><a th:href="@{/users/{id}/friends(id=${userid})}">Friends</a></div>
    <div><a th:href="@{/rooms/user/{id}(id=${userid})}">Rooms</a></div>

</div>

<script type="text/javascript"
        th:src="@{/webjars/jquery/3.2.1/jquery.min.js/}"></script>
<script type="text/javascript"
        th:src="@{/webjars/bootstrap/3.3.7/js/bootstrap.min.js}"></script>

</body>
</html>